
local config = require("Expeditious Exit.config")

--- Setup MCM.
local function registerModConfig()
	local template = mwse.mcm.createTemplate({ name = "Sortie expditive" })
	template:saveOnClose("Expeditious Exit", config)

	local page = template:createSideBarPage()
	page.sidebar:createInfo({
		text = "Sortie expditive v1.3\npar NullCascade",
	})

	page:createOnOffButton({
		label = "Afficher un message de confirmation ?",
		description = "Si cette option est active, le message de confirmation du jeu de base s'affichera si vous souhaitez quitter le jeu.",
		variable = mwse.mcm.createTableVariable({ id = "showMenuOnExit", table = config }),
	})

	page:createOnOffButton({
		label = "Permettre Alt-F4 ?",
		description = "Si cette option est active, la combinaison de touches Alt-F4 forcera la fermeture du jeu sans demander de confirmation. Certains joueurs n'auront probablement pas besoin de l'activer pour la faire fonctionner.",
		variable = mwse.mcm.createTableVariable({ id = "allowAltF4", table = config }),
	})

	page:createOnOffButton({
		label = "Utiliser la mthode taskkill ?",
		description = "Si vous utilisez des DLLs tierces comme DXVK, la mthode de fermeture utilise par dfaut par le mod peut chouer. Activer cette option peut dans de tel cas avoir des rsultats plus fiables.",
		variable = mwse.mcm.createTableVariable({ id = "useTaskKill", table = config }),
	})

	template:register()
end
event.register("modConfigReady", registerModConfig)
